import request from "../utils/request";
import config from "@/config";
const { yxmGateway } = config;
// const talosApi = "http://yapi.quantgroups.com/mock/351";
const query = function(data) {
  return request.post(`${yxmGateway}/api/kdsp/shop-cart/list/valid`, data);
};
const goodSelected = function(data) {
  return request.post(`${yxmGateway}/api/kdsp/shop-cart/selected`, data);
};
const goodAdd = function(data) {
  return request.post(`${yxmGateway}/api/kdsp/shop-cart/add-update`, data);
};
const goodFee = function(data) {
  return request.post(`${yxmGateway}/api/kdsp/shop-cart/fee`, data);
};
const orderConfirm = function(data) {
  return request.post(`${yxmGateway}/api/kdsp/shop-cart/order-confirm/page/v2`, data);
};
const beforeConfirmCheck = function() {
  return request.post(`${yxmGateway}/api/kdsp/shop-cart/before/order-confirm`);
};
export { query, goodSelected, goodAdd, goodFee, orderConfirm, beforeConfirmCheck };
